cdef extern from "base.h":
  
  ctypedef unsigned long int ULI
  ctypedef unsigned short int USI
  
  ULI c_size_ULI
  ULI c_size_double
  ULI c_size_USI
  ULI c_size_pointer
  ULI c_size_int
  
  void* c_new( ULI n, ULI size )
  ULI* c_new_ULI( ULI num )
  double* c_new_double( ULI num )
  void c_free( void *array )

  double c_drand()
  ULI c_lrand()
  void c_srand( ULI seed )


cdef struct SInd:

  ULI *puchrom
  void *pfen
  double dpind
  double dfit
  double dprob
  USI fhas_fen, fhas_pind, fhas_fit


cdef struct SPop:
  
  SInd *ind
  double dmin_pind, dmax_pind, dmean_pind, dsum_pind
  double ddiv
  ULI ugen_num
  ULI ubest_gen
  ULI ubest_best_gen
  double dbest_pind
  int bscale
  ULI unext_mut
  ULI uwithout_mut
  ULI umut_num
  ULI ubig_mutations
  int black_of_progress


